# ACE_Utils::Auto_Functor_Ref< X, Functor > Struct Template Reference

Helper class to implement assignment and copy-construction as expected. More...

`#include <Auto_Functor.h>`

Collaboration diagram for ACE_Utils::Auto_Functor_Ref< X, Functor >:

[legend]
List of all members.

## Public Member Functions

| Auto_Functor_Ref (X *p, Functor f)

## Public Attributes

X * | p_
Functor | f_

## Detailed Description

### template<typename X, typename Functor>
struct ACE_Utils::Auto_Functor_Ref< X, Functor >

Helper class to implement assignment and copy-construction as expected.

## Constructor & Destructor Documentation

template<typename X, typename Functor>
ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ACE_Utils::Auto_Functor_Ref< X, Functor >::Auto_Functor_Ref | ( | X * | p,
|  | Functor | f
| ) |

## Member Data Documentation

template<typename X, typename Functor>
Functor ACE_Utils::Auto_Functor_Ref< X, Functor >::f_

template<typename X, typename Functor>
X* ACE_Utils::Auto_Functor_Ref< X, Functor >::p_

The documentation for this struct was generated from the following files:

- Auto_Functor.h
- Auto_Functor.inl